Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.distribution
Interface Distribution

    @Profile(level=CORE)
    @UML(identifier="MD_Distribution",
         specification=ISO_19115)
    public interface Distribution

Information about the distributor of and options for obtaining the resource.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends Format>` | `getDistributionFormats()` Provides a description of the format of the data to be distributed.
`Collection<? extends Distributor>` | `getDistributors()` Provides information about the distributor.
`Collection<? extends DigitalTransferOptions>` | `getTransferOptions()` Provides information about technical means and media by which a resource is obtained from the distributor.

Method Detail

### getDistributionFormats

    @Profile(level=CORE)
    @UML(identifier="distributionFormat",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends Format> getDistributionFormats()

  Provides a description of the format of the data to be distributed.

### getDistributors

    @UML(identifier="distributor",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Distributor> getDistributors()

  Provides information about the distributor.

### getTransferOptions

    @Profile(level=CORE)
    @UML(identifier="transferOptions",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends DigitalTransferOptions> getTransferOptions()

  Provides information about technical means and media by which a resource is obtained from the distributor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.